## golang-gogoprotobuf 0.0~git20140719

=== Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

.PHONY: nuke regenerate tests clean install gofmt

install:
	go install ./proto
	go install ./gogoproto
	go install ./protoc-gen-gogo
	go install ./fieldpath/fieldpath-gen
	go install ./fieldpath
	go install ./pbpath

all: clean install regenerate gofmt install tests

clean:
	go clean ./...

nuke:
	go clean -i ./...

gofmt:
	gofmt -l -s -w .

regenerate:
	make -C protoc-gen-gogo/descriptor regenerate
	make -C protoc-gen-gogo/plugin regenerate
	make -C gogoproto regenerate
	make -C fieldpath/fieldpath-gen regenerate
	make -C proto/testdata regenerate
	make -C test regenerate
	make -C test/example regenerate
	make -C test/unrecognized regenerate
	make -C test/group regenerate
	make -C test/unrecognizedgroup regenerate
	make -C test/enumstringer regenerate
	make -C test/unmarshalmerge regenerate
	make -C test/moredefaults regenerate
	make -C test/issue8 regenerate
	gofmt -l -s -w .

tests:
	go test -v ./test
	go test -v ./proto
	go test -v ./fieldpath
	go test -v ./io
	go test -v ./test/embedconflict
	go test -v ./test/defaultconflict
	go test -v ./test/unrecognized
	go test -v ./test/group
	go test -v ./test/unrecognizedgroup
	go test -v ./test/enumstringer
	go test -v ./test/unmarshalmerge
	go test -v ./test/moredefaults
	go test -v ./test/issue8
	go test -v ./test/example
	go test -v ./test/dashfilename
	go test -v ./parser

drone:
	sudo apt-get install protobuf-compiler
	git clone https://code.google.com/p/gogoprotobuf
	(cd $(GOPATH) && svn checkout http://protobuf.googlecode.com/svn/tags/2.4.1/ protobuf-readonly)
	mv $(GOPATH)/protobuf-readonly/src/google $(GOPATH)/src/google
	(cd $(GOPATH)/src/code.google.com/p/gogoprotobuf && make all)
	(cd $(GOPATH)/src && protoc -I=. --cpp_out=. ./code.google.com/p/gogoprotobuf/gogoproto/gogo.proto)
	(cd $(GOPATH)/src && g++ -I$(GOPATH)/src -c -o $(GOPATH)/src/code.google.com/p/gogoprotobuf/gogoproto/gogo.pb.o $(GOPATH)/src/code.google.com/p/gogoprotobuf/gogoproto/gogo.pb.cc)

testall: tests
	make -C protoc-gen-gogo/testdata test
	go test -v ./test/mixmatch

bench:
	(cd test/mixbench && go build .)
	(cd test/mixbench && ./mixbench)

=== gogoproto/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf/gogoproto
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	protoc --gogo_out=. --proto_path=../../../../:../protobuf/:. *.proto

restore:
	cp gogo.pb.golden gogo.pb.go

preserve:
	cp gogo.pb.go gogo.pb.golden

=== protoc-gen-gogo/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

test:
	cd testdata && make test

=== test/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf/gogoproto
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../:../../../../:../protobuf/:. --gogo_out=. thetest.proto)

=== fieldpath/fieldpath-gen/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf/gogoproto
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

build:
	go install .

clean:
	go clean .
	rm ../fieldpath-generated.go

regenerate:
	fieldpath-gen > ../fieldpath-generated.go
	fieldpath-gen test > ../fieldpath-generated_test.go
	gofmt -l -s -w ../

all: clean build regenerate

=== protoc-gen-gogo/descriptor/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	protoc --gogo_out=. -I=../../protobuf/google/protobuf ../../protobuf/google/protobuf/descriptor.proto

restore:
	cp descriptor.pb.golden descriptor.pb.go

preserve:
	cp descriptor.pb.go descriptor.pb.golden

=== protoc-gen-gogo/plugin/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Not stored here, but plugin.proto is in http://code.google.com/p/protobuf
# at protobuf-2.3.0/src/google/protobuf/compiler/plugin.proto
# Also we need to fix an import.
regenerate:
	protoc --gogo_out=. -I=../../protobuf/google/protobuf/compiler/:../../protobuf/ ../../protobuf/google/protobuf/compiler/plugin.proto

restore:
	cp plugin.pb.golden plugin.pb.go

preserve:
	cp plugin.pb.go plugin.pb.golden

=== protoc-gen-gogo/testdata/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2010 The Go Authors.  All rights reserved.
# http://code.google.com/p/goprotobuf/
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

all:
	@echo run make test

test:	golden testbuild

#test:	golden testbuild extension_test
#	./extension_test
#	@echo PASS

golden:
	protoc --gogo_out=. ./my_test/test.proto
	diff -w my_test/test.pb.go my_test/test.pb.go.golden

nuke:	clean

testbuild:	buildprotos
	go test

buildprotos:
	# Invoke protoc once to generate three independent .pb.go files in the same package.
	protoc --gogo_out=. multi/multi{1,2,3}.proto

#extension_test:	extension_test.$O
#	$(LD) -L. -o $@ $< 

#multi.a: multi3.pb.$O multi2.pb.$O multi1.pb.$O
#	rm -f multi.a
#	$(QUOTED_GOBIN)/gopack grc $@ $<

#test.pb.go:	imp.pb.go
#multi1.pb.go:	multi2.pb.go multi3.pb.go
#main.$O: imp.pb.$O test.pb.$O multi.a
#extension_test.$O: extension_base.pb.$O extension_extra.pb.$O extension_user.pb.$O

=== test/enumstringer/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. enumstringer.proto)

=== test/example/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. example.proto)

=== test/group/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. group.proto)

=== test/issue8/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. proto.proto)

=== debian/changelog ===
golang-gogoprotobuf (0.0~git20140719-1) unstable; urgency=medium

  * New upstream release.
  * Add branch to Vcs-Git header.
  * Add protoc-gen-gogo.1 manpage.
  * Don't install mixbench.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 15 Jul 2014 17:34:04 +0200

golang-gogoprotobuf (0.0~git20140427-1) unstable; urgency=medium

  * Initial release. Closes: #746190

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 27 Apr 2014 23:17:30 +0200

=== debian/control ===
Source: golang-gogoprotobuf
Section: devel
Priority: extra
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 9), dh-golang, golang-go (>= 1.0)
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/gogoprotobuf
Vcs-Git: git://anonscm.debian.org/users/jelmer/golang-gogoprotobuf.git -b unstable
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jelmer/golang-gogoprotobuf.git

Package: golang-gogoprotobuf-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, protobuf-compiler
Description: Alternative protocol buffer support for the Go programming language
 An alternative protocol buffer support for the Go programming language,
 forked from golang-goprotobuf. It is backwards compatible with
 goprotobuf, but provides faster marshalling and unmarshalling and can
 generate extra helper code, tests and benchmarks.
 .
 This package contains the source.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := code.google.com/p/gogoprotobuf

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build
	rm -f debian/tmp/usr/bin/mixbench

override_dh_auto_test:
	# Not running testsuite, as there is no support for
	# running the tests in a custom build directory.

## golang-gogoprotobuf 0.0~git20150426

=== Makefile ===
--- 
+++ 
@@ -65,6 +65,9 @@
 	make -C test/unmarshalmerge regenerate
 	make -C test/moredefaults regenerate
 	make -C test/issue8 regenerate
+	make -C test/enumprefix regenerate
+	make -C test/packed regenerate
+	make -C test/tags regenerate
 	gofmt -l -s -w .
 
 tests:
@@ -72,6 +75,7 @@
 	go test -v ./proto
 	go test -v ./fieldpath
 	go test -v ./io
+	go test -v ./test/custom
 	go test -v ./test/embedconflict
 	go test -v ./test/defaultconflict
 	go test -v ./test/unrecognized
@@ -83,16 +87,15 @@
 	go test -v ./test/issue8
 	go test -v ./test/example
 	go test -v ./test/dashfilename
+	go build ./test/enumprefix
+	go test -v ./test/packed
+	go test -v ./test/tags
 	go test -v ./parser
 
 drone:
 	sudo apt-get install protobuf-compiler
 	git clone https://code.google.com/p/gogoprotobuf
-	(cd $(GOPATH) && svn checkout http://protobuf.googlecode.com/svn/tags/2.4.1/ protobuf-readonly)
-	mv $(GOPATH)/protobuf-readonly/src/google $(GOPATH)/src/google
 	(cd $(GOPATH)/src/code.google.com/p/gogoprotobuf && make all)
-	(cd $(GOPATH)/src && protoc -I=. --cpp_out=. ./code.google.com/p/gogoprotobuf/gogoproto/gogo.proto)
-	(cd $(GOPATH)/src && g++ -I$(GOPATH)/src -c -o $(GOPATH)/src/code.google.com/p/gogoprotobuf/gogoproto/gogo.pb.o $(GOPATH)/src/code.google.com/p/gogoprotobuf/gogoproto/gogo.pb.cc)
 
 testall: tests
 	make -C protoc-gen-gogo/testdata test

=== dockertest/generated-dockerfiles/Makefile ===
build:
	(cd go1.2.2_protoc2.3.0 && make build)
	(cd go1.2.2_protoc2.4.1 && make build)
	(cd go1.2.2_protoc2.5.0 && make build)
	(cd go1.3_protoc2.3.0 && make build)
	(cd go1.3_protoc2.4.1 && make build)
	(cd go1.3_protoc2.5.0 && make build)
run:
	(cd go1.2.2_protoc2.3.0 && make run)
	(cd go1.2.2_protoc2.4.1 && make run)
	(cd go1.2.2_protoc2.5.0 && make run)
	(cd go1.3_protoc2.3.0 && make run)
	(cd go1.3_protoc2.4.1 && make run)
	(cd go1.3_protoc2.5.0 && make run)

=== test/enumprefix/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. enumprefix.proto)

=== test/packed/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. packed.proto)

=== test/tags/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
# http://code.google.com/p/gogoprotobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	(protoc --proto_path=../../../../../:../../protobuf/:. --gogo_out=. tags.proto)

=== dockertest/generated-dockerfiles/go1.3_protoc2.3.0/Makefile ===

build:
	docker build -t gogodocker_go1.3_protoc_2.3.0 .

run:
	docker run --rm=true -t -i --name gogocontainer_go1.3_protoc_2.3.0 gogodocker_go1.3_protoc_2.3.0

=== dockertest/generated-dockerfiles/go1.3_protoc2.4.1/Makefile ===

build:
	docker build -t gogodocker_go1.3_protoc_2.4.1 .

run:
	docker run --rm=true -t -i --name gogocontainer_go1.3_protoc_2.4.1 gogodocker_go1.3_protoc_2.4.1

=== dockertest/generated-dockerfiles/go1.3_protoc2.5.0/Makefile ===

build:
	docker build -t gogodocker_go1.3_protoc_2.5.0 .

run:
	docker run --rm=true -t -i --name gogocontainer_go1.3_protoc_2.5.0 gogodocker_go1.3_protoc_2.5.0

=== debian/changelog ===
golang-gogoprotobuf (0.0~git20150426-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Apr 2015 08:39:16 +0000

golang-gogoprotobuf (0.0~git20140719-2) experimental; urgency=medium

  * Change debian-branch in gbp.conf to 'unstable'.
  * Change maintainer to pkg-go, move myself to uploaders.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 15 Nov 2014 21:29:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: golang-gogoprotobuf
 Section: devel
 Priority: extra
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 9), dh-golang, golang-go (>= 1.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://code.google.com/p/gogoprotobuf
 Vcs-Git: git://anonscm.debian.org/users/jelmer/golang-gogoprotobuf.git -b unstable
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jelmer/golang-gogoprotobuf.git

## golang-gogoprotobuf 0.0~git20150717

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Go support for Protocol Buffers - Google's data interchange format
+# Extensions for Protocol Buffers to create more go like structures.
 #
-# Copyright 2010 The Go Authors.  All rights reserved.
-# http://code.google.com/p/goprotobuf/
+# Copyright (c) 2013, Vastech SA (PTY) LTD. All rights reserved.
+# http://github.com/gogo/protobuf/gogoproto
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions are
@@ -13,9 +13,6 @@
 # copyright notice, this list of conditions and the following disclaimer
 # in the documentation and/or other materials provided with the
 # distribution.
-#     * Neither the name of Google Inc. nor the names of its
-# contributors may be used to endorse or promote products derived from
-# this software without specific prior written permission.
 #
 # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 # "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
@@ -34,12 +31,19 @@
 install:
 	go install ./proto
 	go install ./gogoproto
+	go install ./jsonpb
 	go install ./protoc-gen-gogo
+	go install ./protoc-gen-gofast
+	go install ./protoc-gen-gogofast
+	go install ./protoc-gen-gogofaster
+	go install ./protoc-gen-gogoslick
 	go install ./fieldpath/fieldpath-gen
 	go install ./fieldpath
 	go install ./pbpath
+	go install ./protoc-gen-gogo/version/protoc-min-version
+	go install ./protoc-gen-gogo/protoc-gen-combo
 
-all: clean install regenerate gofmt install tests
+all: clean install regenerate install tests
 
 clean:
 	go clean ./...
@@ -56,6 +60,7 @@
 	make -C gogoproto regenerate
 	make -C fieldpath/fieldpath-gen regenerate
 	make -C proto/testdata regenerate
+	make -C jsonpb/jsonpb_test_proto regenerate
 	make -C test regenerate
 	make -C test/example regenerate
 	make -C test/unrecognized regenerate
@@ -68,12 +73,27 @@
 	make -C test/enumprefix regenerate
 	make -C test/packed regenerate
 	make -C test/tags regenerate
-	gofmt -l -s -w .
+	make -C test/oneof regenerate
+	make -C test/theproto3 regenerate
+	make -C test/mapsproto2 regenerate
+	make -C test/issue42order regenerate
+	make -C proto generate-test-pbs
+	make -C test/importdedup regenerate
+	make -C test/custombytesnonstruct regenerate
+	make -C test/required regenerate
+	make -C test/casttype regenerate
+	make -C vanity/test regenerate
+	make -C test/sizeunderscore regenerate
+	make -C test/issue34 regenerate
+	make -C test/empty-issue70 regenerate
+	make -C test/indeximport-issue72 regenerate
+	make gofmt
 
 tests:
 	go test -v ./test
 	go test -v ./proto
-	go test -v ./fieldpath
+	go test -v ./jsonpb
+	go test -v ./fieldpath/...
 	go test -v ./io
 	go test -v ./test/custom
 	go test -v ./test/embedconflict
@@ -91,15 +111,37 @@
 	go test -v ./test/packed
 	go test -v ./test/tags
 	go test -v ./parser
+	go test -v ./test/oneof
+	go test -v ./test/theproto3/...
+	go test -v ./test/combos/...
+	go test -v ./test/mapsproto2/...
+	go test -v ./test/issue42order
+	go test -v ./test/importdedup
+	go test -v ./test/custombytesnonstruct
+	go test -v ./test/required
+	go test -v ./test/casttype/...
+	go test -v ./vanity/test
+	go test -v ./test/sizeunderscore
+	go test -v ./test/issue34
+	go test -v ./test/empty-issue70
+	go test -v ./test/indeximport-issue72
+	make vet
+
+vet:
+	go vet ./...
+
+errcheck:
+	go get -u github.com/kisielk/errcheck
+	errcheck ./test/...
 
 drone:
 	sudo apt-get install protobuf-compiler
-	git clone https://code.google.com/p/gogoprotobuf
-	(cd $(GOPATH)/src/code.google.com/p/gogoprotobuf && make all)
+	(cd $(GOPATH)/src/github.com/gogo/protobuf && make all)
 
-testall: tests
+testall:
 	make -C protoc-gen-gogo/testdata test
-	go test -v ./test/mixmatch
+	make -C vanity/test test
+	make tests
 
 bench:
 	(cd test/mixbench && go build .)

=== jsonpb/jsonpb_test_proto/Makefile ===
# Go support for Protocol Buffers - Google's data interchange format
#
# Copyright 2015 The Go Authors.  All rights reserved.
# https://github.com/golang/protobuf
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#     * Neither the name of Google Inc. nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	protoc-min-version --version="3.0.0" *.proto

=== test/casttype/Makefile ===
# Extensions for Protocol Buffers to create more go like structures.
#
# Copyright (c) 2015, Vastech SA (PTY) LTD. All rights reserved.
# http://github.com/gogo/protobuf/gogoproto
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
# copyright notice, this list of conditions and the following disclaimer
# in the documentation and/or other materials provided with the
# distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

regenerate:
	go install github.com/gogo/protobuf/protoc-gen-gogo/protoc-gen-combo
	protoc-gen-combo --version="3.0.0" --proto_path=../../../../../:../../protobuf/:. casttype.proto

=== vanity/test/Makefile ===
regenerate:
	go install github.com/gogo/protobuf/protoc-gen-gogofast
	protoc --gogofast_out=./fast/ vanity.proto
	go install github.com/gogo/protobuf/protoc-gen-gogofaster
	protoc --gogofaster_out=./faster/ vanity.proto
	go install github.com/gogo/protobuf/protoc-gen-gogoslick
	protoc --gogoslick_out=./slick/ vanity.proto

test:
	go install github.com/gogo/protobuf/protoc-gen-gofast
	protoc --gofast_out=./gofast/ vanity.proto
	go test -v ./...

=== debian/changelog ===
golang-gogoprotobuf (0.0~git20150717-1) unstable; urgency=medium

  * New upstream snapshot.
  * Added code.google.com/p/gogoprotobuf symlink for backwards compatibility

 -- Alexandre Viau <alexandre@alexandreviau.net>  Sat, 18 Jul 2015 11:20:47 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: extra
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>
+Uploaders: Jelmer Vernooij <jelmer@debian.org>,
+           Alexandre Viau <alexandre@alexandreviau.net>
 Build-Depends: debhelper (>= 9), dh-golang, golang-go (>= 1.0)
 Standards-Version: 3.9.6
-Homepage: https://code.google.com/p/gogoprotobuf
-Vcs-Git: git://anonscm.debian.org/users/jelmer/golang-gogoprotobuf.git -b unstable
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jelmer/golang-gogoprotobuf.git
+Homepage: https://github.com/gogo/protobuf
+Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-gogoprotobuf.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/golang-gogoprotobuf.git
 
 Package: golang-gogoprotobuf-dev
 Architecture: any
